import React, {Component} from 'react'
import { ConfigProvider } from 'antd'
import enUS from 'antd/es/locale/en_US'
import zhCN from 'antd/es/locale/zh_CN'

import Header from './header'
import History from './history'
import WorkSpace from './workspace'

import './index.scss'

const _locale = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class Interface extends Component {
  render () {
    return (
      <div className="interface-view">
        <ConfigProvider locale={_locale}>
          <Header key="header"/>
          <History key="history"/>
          <WorkSpace key="workspace"/>
        </ConfigProvider>
      </div>
    )
  }
}

export default Interface